Highlighted

Lightroom update messes up catalog files - can I install 2+ versions to avoid problems like this?

New Here ,
Feb 07, 2020

Copy link to clipboard

Copied

Hi, this is my first post here so I'm not really sure who I'm talking to, but I just wanted to let any lightroom developers know that I've had problems several times now with Lightroom updates.


My short question is: 
If anyone knows of any way to install Lightroom versions 9.1, 9.0 and 8.4 at the same time I'd love to hear about it.

 

My long story is:
I've just opened an (updated) catalog I've spend loads of work on, and all the color-coding of images and/or collections are gone. This is frustrating and saddening. I cannot trust your catalog updating system, and I cannot trust you taking care of my work. 😞 I've had issues with catalogs like this before. Perhaps it's because I do color-coding in Photo mechanic? That wouldn't account for all the loss of information though.

 

I'm now re-installing a previous version in hopes I can still use the earlier version of the catalog. This might somehow mess up the other catalogs that I've already made in the newer 9.1 version. 

Now I know software is complicated so here's a proposal for a quick fix: make me able to install 2+ versions of Lightroom at the same time. I currently had 2 versions installed: 9.1 and an older 8.4 version. I want to install 9.0 as well so I can use my 9.0 catalogs on that version, but Adobe creative cloud tells me it will uninstall 9.1 then. This will probably give me problems with my recent catalogs made on 9.1. I would wish to have an unlimited amount of versions installed so I can keep editing my collections in the version in which I've made them. My work is sacred to me and you've failed in keeping it safe, so this would be a workable solution given the current level of trust I have.

 

[UPDATE] I've just installed the 9.0 version and it automatically also uninstalled the 8.4 version, without warning or prompt. Please people, the unreliability and lack of communication/warning is making me so sad 😞 Why not let me install several versions? 

TOPICS
Problem or error

Views

16

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

Lightroom update messes up catalog files - can I install 2+ versions to avoid problems like this?

New Here ,
Feb 07, 2020

Copy link to clipboard

Copied

Hi, this is my first post here so I'm not really sure who I'm talking to, but I just wanted to let any lightroom developers know that I've had problems several times now with Lightroom updates.


My short question is: 
If anyone knows of any way to install Lightroom versions 9.1, 9.0 and 8.4 at the same time I'd love to hear about it.

 

My long story is:
I've just opened an (updated) catalog I've spend loads of work on, and all the color-coding of images and/or collections are gone. This is frustrating and saddening. I cannot trust your catalog updating system, and I cannot trust you taking care of my work. 😞 I've had issues with catalogs like this before. Perhaps it's because I do color-coding in Photo mechanic? That wouldn't account for all the loss of information though.

 

I'm now re-installing a previous version in hopes I can still use the earlier version of the catalog. This might somehow mess up the other catalogs that I've already made in the newer 9.1 version. 

Now I know software is complicated so here's a proposal for a quick fix: make me able to install 2+ versions of Lightroom at the same time. I currently had 2 versions installed: 9.1 and an older 8.4 version. I want to install 9.0 as well so I can use my 9.0 catalogs on that version, but Adobe creative cloud tells me it will uninstall 9.1 then. This will probably give me problems with my recent catalogs made on 9.1. I would wish to have an unlimited amount of versions installed so I can keep editing my collections in the version in which I've made them. My work is sacred to me and you've failed in keeping it safe, so this would be a workable solution given the current level of trust I have.

 

[UPDATE] I've just installed the 9.0 version and it automatically also uninstalled the 8.4 version, without warning or prompt. Please people, the unreliability and lack of communication/warning is making me so sad 😞 Why not let me install several versions? 

TOPICS
Problem or error

Views

17

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Feb 07, 2020 0
Bartjan LATEST
New Here ,
Feb 07, 2020

Copy link to clipboard

Copied

Update 2:
In 9.0 also all the metadata was gone. Now I'm wondering if it was ever there, or if I used an experimental new edit method. I've never edited without color before. After re-installing 9.1 it also reinstalled 8.4.1 without warning or prompt.


Aside from the uncertainty around my claim that Lightroom messed up my catalog, I would still LOVE to be able to just be able to just work with catalogs in the version in which I started them. I'm pretty much 100% sure I've had loss of information by upgrading catalogs (the problem is that it's hard to verify both the incidents and the cause), and I see no reason it's good for either adobe or me to not be able to open older catalogs in the version in which I made them. Best case scenario nothing is messed up, worst case scenario either the catalog gets messed up or the difference in software leads to a difference in editing output. 


Please make unlimited version installations available, and support us being able to open a catalog in the Lightroom version in which it was made in the first place.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Feb 07, 2020 0